Subject: Re: bug#7000: sort GNU coreutils 6.9.92.4-f088d-dirty

From: Bob Proulx <[email-masked]>
Date: Tue, 8 Apr 2014 11:32:55 -0600

Zoltán Krajcsovics wrote:
> Eric Blake írta (2010. szeptember 8. 18:20):
> > On 09/08/2010 07:34 AM, Zoltán Krajcsovics wrote:
> >> I had an input for sort, that was sorted wrong.
> >>
> >> The input is:
> >>
> >> D_1
> >> D_3
> >> D15
> >>
> >> The output is:
> >>
> >> D_1
> >> D15
> >> D_3
> >
> > Not a bug in sort.  Your locale settings are at fault, per this FAQ:
> >
> > http://www.gnu.org/software/coreutils/faq/#Sort-does-not-sort-in-normal-order_0021
> 
> 
> With the supposed changes it works for me, too. I had `hu_HU' sorting rules.
> 
> Could be useful to anyone, who cannot change locales for some reason:
> I could use a workaround changing space, '_', etc to letters, like 'a'.
> 
> Sorry for bothering with known problem, and thank You for the solution!

This never got closed in the bug tracker.  Happy to see it was
resolved.  Closing it now.

Bob